<?php

/**
 * @package		Joomla.Administrator
 * @subpackage	com_guestsupport
 * @author		RcaTheme.com https://www.rcatheme.com
 * @copyright	(C) 2024 RcaTheme.com
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
namespace Joomla\Component\Guestsupport\Administrator\Controller;

use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\Controller\AdminController;

\defined('_JEXEC') or die;

class DepartmentsController extends AdminController
{
	/**
	 * Redirect to editing page
	 */
	public function edit()
	{
		$app  = $this->app;
		$ids = $app->input->post->get('depts_ids', array(), 'array');
		$editUrl = Route::_('index.php?option=com_guestsupport&view=department&layout=edit&id=' . (int) $ids[0], false);
		$this->setRedirect($editUrl);
		return true;
	}

	/**
	 * Delete Departments
	 */
	public function delete()
	{
		$listUrl = Route::_('index.php?option=com_guestsupport&view=departments', false);

		$this->app->enqueueMessage(Text::_('COM_GUESTSUPPORT_DELETE_CORE_DEPARTMENTS_ERROR'), 'error');
		$this->setRedirect($listUrl);
		return false;
	}
}
