<?php

/**
 * @package		Joomla.Administrator
 * @subpackage	com_guestsupport
 * @author		RcaTheme.com https://www.rcatheme.com
 * @copyright	(C) 2024 RcaTheme.com
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

namespace Joomla\Component\Guestsupport\Administrator\View\Ajax;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;

\defined('_JEXEC') or die;

class HtmlView extends BaseHtmlView
{
    public function display($tpl = null): void
    {
        $app  = Factory::getApplication();
        $request = trim($app->input->post->getString('request', ''));
        $returnData = '';

        if ( !$request )
        {
            echo json_encode($returnData);
            exit;
        }
        elseif ( $request == 'usersbyemail' )
        {
            /**
             * Search and get users by email address 
             */
            $users = $this->get( 'UsersByEmail' );
            if ( empty( $users ) )
            {
                $returnData = '<div class="item message">' . Text::_('COM_GUESTSUPPORT_DEPARTMENTS_NO_USER_FOUND') . '</div>';
            }
            else
            {
                foreach ($users as $user) {
                    $returnData .= '<div class="item" data-value="' . $this->escape($user->id) . '">' . $this->escape($user->name) . ' (' . $this->escape($user->email) . ')</div>';
                }
            }
        }

        // parent::display($tpl);
        // Return result
        echo json_encode($returnData);
        exit;
    }
}
